%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-transitfeed
Version:        1.1.9
Release:        6%{?dist}
Summary:        Google Transit Feed Specification library and tools

Group:          Development/Languages
License:        ASL 2.0
URL:            http://code.google.com/p/googletransitdatafeed/
Source0:        http://googletransitdatafeed.googlecode.com/files/transitfeed-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       pytz

%description
This module provides a library for reading, writing and validating Google
Transit Feed Specification files. It includes some scripts that validate a
feed, display it using the Google Maps API and the start of a KML importer and
exporter.


%prep
%setup -q -n transitfeed-%{version}


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
rename '.py' '' %{buildroot}%{_bindir}/*.py
for exec in $(ls %{buildroot}%{_bindir}); do mv %{buildroot}%{_bindir}/$exec %{buildroot}%{_bindir}/gtfs-$exec; done
chmod a+x %{buildroot}%{_bindir}/*
sed -i '/#! \?\/usr\/bin\/.*/d' %{buildroot}%{python_sitelib}/*.py %{buildroot}%{python_sitelib}/gtfsscheduleviewer/*.py

 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README
%{python_sitelib}/*
%{_bindir}/*


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 04 2009 Ian Weller <ianweller@gmail.com> 1.1.9-4
- Whoops, that should be "gtfs-"

* Sat Jan 03 2009 Ian Weller <ianweller@gmail.com> 1.1.9-3
- Add a "gfts-" prefix to everything in /usr/bin to get rid of naming conflicts

* Thu Jan 01 2009 Ian Weller <ianweller@gmail.com> 1.1.9-2
- Remove shebangs on a couple of files in python_sitelib

* Sun Dec 21 2008 Ian Weller <ianweller@gmail.com> 1.1.9-1
- Initial package build.
